Skip to main content
`Ctrl`+`K`

# MaskableShapedLikeNDArray

class astropy.utils.masked.MaskableShapedLikeNDArray

  Bases: `ShapedLikeNDArray`

  Like ShapedLikeNDArray, but for classes that can work with masked data.

  Defines default unmasked property as well as a filled method, and inherits private class methods that help deal with masked inputs.

  Any class using this must provide a masked property, which tells whether the underlying data are Masked, as well as a mask property, which generally should provide a read-only copy of the underlying mask.

  Attributes Summary

  `mask` | The mask.
  `masked` | Whether or not the instance uses masked values.
  `unmasked` | Get an instance without the mask.

  Methods Summary

  `filled`(fill_value) | Get a copy of the underlying data, with masked values filled in.

  Attributes Documentation

  mask

    The mask.

  masked

    Whether or not the instance uses masked values.

  unmasked

    Get an instance without the mask.

    Note that while one gets a new instance, the underlying data will be shared.

    See also

    `filled`

      get a copy of the underlying data, with masked values filled in.

  Methods Documentation

  filled(fill_value)

    Get a copy of the underlying data, with masked values filled in.

    Parameters:
      fill_value `object`

        Value to replace masked values with.

    Returns:
      filled instance

        Copy of `self` with masked items replaced by `fill_value`.

    See also

    `unmasked`

      get an instance without the mask.